=head1 NAME

Getting Help with mod_perl 2.0 Core Development

=head1 Description

This document covers the resources available to the mod_perl 2.0 core
developer. Please notice that you probably want to read the L<user's
help documentation|user::help::help> if you have problems using
mod_perl 2.0.

The following mailing lists and resources can be of a major interest
to the mod_perl 2.0 developers.

=head1 mod_perl

=head2 Submitting Patches

If you submit patches the I<Porting/patching.pod> manpage can be very
useful. You can find it I<perl-5.7.0/Porting/patching.pod> or similar
or read it online at
http://sunsite.ualberta.ca/Documentation/Misc/perl-5.6.1/Porting/patching.html.

Note that we prefer the patches inlined into an email. This makes
easier to comment on them. If your email client mangles the spacing
and wraps lines, then send them as MIME attachments.

=head2 mod_perl 2.0 Core Development Discussion List

This list is used by the mod_perl 2.0 core developers to discuss
design issues, solve problems, munch on patches and exchange ideas.

=over

=item *

mailing list subscription: mailto:dev-subscribe@perl.apache.org

=item *

archive: http://marc.theaimsgroup.com/?l=apache-modperl-dev&r=1&w=2#apache-modperl-dev

=back

When reporting problems, be sure to include the output of:

 % perl build/config.pl

which generates the output from:

=over 4

=item perl -V

=item httpd -V

=item Makefile.PL options

=back

Please use the output generated by I<t/REPORT> utility.

If you get segmentation faults please send the L<stack
backtrace|user::help::help/Resolving_Segmentation_Faults> to the
modperl developers list.

=head2 mod_perl 2.0 Core Development CVS Commits List

This list's traffic is comprised of solely cvs commits, so this is the
place to be if you want to see mod_perl 2.0 evolve before your eyes.

=over

=item *

mailing list subscription: mailto:modperl-cvs-subscribe@perl.apache.org

=item *

archive: http://marc.theaimsgroup.com/?l=apache-modperl-cvs&r=1&w=2#apache-modperl-cvs

=back

=head2 Apache-Test

The C<Apache-Test> project, originally developed as a part of mod_perl
2.0, is now a part of the Apache C<httpd-test> project. You get this
repository automatically when checking out the mod_perl-2.0 cvs
repository.

To retrieve the whole httpd-test project, run: 

  cvs co httpd-test

=over

=item discussion/problems report:

mailing list subscription: mailto:test-dev-subscribe@httpd.apache.org

archive: META: ???

=item cvs commits

mailing list subscription: mailto:test-cvs-subscribe@httpd.apache.org

archive: META: ???

=back


=head1 Apache

=head2 httpd 2.0

=over

=item discussion/problems report:

mailing list subscription: mailto:dev-subscribe@httpd.apache.org

archive: http://marc.theaimsgroup.com/?l=apache-new-httpd&r=1&w=

=item cvs commits

mailing list subscription: mailto:httpd-2.0-cvs-subscribe@perl.apache.org

archive: http://marc.theaimsgroup.com/?l=apache-cvs&r=1&w=2

=back

=over

=item *

Apache source code cross-reference (LXR):
http://lxr.webperf.org/

=item *

Apache source code through Doxygen documentation system:

http://docx.webperf.org/


=item *

=back

=head2 Apache Portable Runtime (APR)

The Apache Portable Run-time libraries have been designed to provide a
common interface to low level routines across any platform. mod_perl
comes with a partial Perl APR API.

=over

=item discussion/problems report:

mailing list subscription: mailto:apr-dev-subscribe@perl.apache.org

archive: http://marc.theaimsgroup.com/?l=apr-dev&r=1&w=2

=item cvs commits

mailing list subscription: mailto:apr-cvs-subscribe@perl.apache.org

archive: http://marc.theaimsgroup.com/?l=apr-cvs&r=1&w=2

=back



=head2 Perl 5

Currently mod_perl 2.0 requires perl 5.6.1 and higher.

If you think you have found a bug in perl 5 report it to the
perl5-porters mailing list. Otherwise please choose the appropriate
list from the extensive perl related lists: http://lists.perl.org/.

=over

=item discussion/problems reports:

mailing list subscription: mailto:perl5-porters-subscribe@perl.org

archive: http://www.xray.mpe.mpg.de/mailing-lists/perl5-porters/
and http://archive.develooper.com/perl5-porters@perl.org/

news gateway: news://news.perl.com/perl.porters-gw/

=item Perl Dev Resources

http://dev.perl.org/

=item perforce

Perl uses C<perforce> for its source revision control, see
I<Porting/repository.pod> manpage coming with Perl for more
information.

the perforce repository: http://public.activestate.com/gsar/APC/
or ftp://ftp.linux.activestate.com/pub/staff/gsar/APC/

the Perl Repository Browser:
http://public.activestate.com/cgi-bin/perlbrowse

the Perl cross-reference: http://pxr.perl.org/source/

mailing list subscription: perl5-changes-subscribe@perl.org

archive: http://archive.develooper.com/perl5-changes@perl.org/

=back

=cut




=head1 More Help

There is a L<parallel help document|user::help::help> in the user
documentation set which covers mod_perl user's issues.

=head1 Maintainers

Maintainer is the person(s) you should contact with updates,
corrections and patches.

Stas Bekman E<lt>stas (at) stason.orgE<gt>

=head1 Authors

=over

=item *

Stas Bekman E<lt>stas (at) stason.orgE<gt>

=item * 

=back

Only the major authors are listed above. For contributors see the
Changes file.

=cut
